Page MenuHomePhabricator

Get community input on a wide variety of interesting Commons files that can be used as examples to prepare for metadata modelling
Closed, ResolvedPublic

Description

Collect a wide variety of Commons files that are interesting in various ways (custom templates, links to Wikidata, annotations, etc etc). These files can serve as inspiration for the design team - what are the edge cases we are working with? - and collecting them is a good preparation for the metadata modelling that will be initiated later down the road.

The files are collected on Commons here:
https://commons.wikimedia.org/wiki/Commons:Structured_data/Get_involved/Feedback_requests/Interesting_Commons_files
Please add your examples there :-)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 23 2017, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Keegan added a subscriber: Keegan.Aug 23 2017, 8:10 PM

Here's a great example of extensively, personally, customized, organized templates for images with high re-use value on high-traffic pages:

https://commons.wikimedia.org/wiki/User:Evan-Amos

His big problem with MMV was how it did not use or display any of his custom work.

Yann added a subscriber: Yann.Aug 24 2017, 12:41 PM

Take at least one file for each type of document, and also when we need legal information about the subject:

Awesome! Thank you very much and keep them coming. I will compile them on the info pages on Commons as soon as I get to it.

It's great to see this project finally gaining some momentum!

I'd like to add https://commons.wikimedia.org/wiki/File:Biological_and_technological_scales_compared-en.svg as an example of a work pieced together from several source images from different authors and with different licenses (not all free licenses are compatible with each other, compare e.g. Commons:Collages)

Also, don't forget the new stuff in the Data: namespace (random picks, there might be better examples):

These are still pretty new and we haven't figured out how to handle them on a daily basis at all, but they sure as heck need better meta data (they don't even support categories right now, compare e.g. T153995). Might turn out to be difficult due to how these things are stored, please get in contact with the people from Commons-Datasets.

Some thing to keep in mind for the possibly not too distant future:

Abit added a subscriber: Abit.Sep 6 2017, 10:57 PM

An example of 'interesting' subcategorization:

The image https://commons.wikimedia.org/wiki/File:Prohibition_Party_ballot_access_(2016).svg is in a deep subcategory of the Category:People on Wikimedia Commons.

  1. Category:People
  2. Category:Bill Bayes
  3. Category:Prohibition Party 2016 presidential campaign
  4. File:Prohibition Party ballot access (2016).svg

@EBernhardson told me about Obama's dog yesterday. The file https://commons.wikimedia.org/wiki/File:Obama_family_dog_in_the_Rose_Garden_(cropped).jpg is part of this category tree:

Category:Bo (dog)
Category:Obama family
Category:First Families of the United States
Category:Presidents of the United States
Category:Executive branch of the United States government
Category:Executive branches of government
Category:Public law
Category:Subfields of political science
Category:Political science
Category:Social sciences
Category:Scientific disciplines
Category:Science
Category:Academia
Category:Knowledge
Category:Concepts
Category:Topics
Category:CommonsRoot

That little dog took a long journey through some strange territory.

@EBernhardson told me about Obama's dog yesterday. The file https://commons.wikimedia.org/wiki/File:Obama_family_dog_in_the_Rose_Garden_(cropped).jpg is part of this category tree:

It gets better.

Category: Bo (dog)
Category: Obama family
Category: African American families
Category: African Americans
Category: People of Black African descent in the Americas

Bo the dog is African American person too, as well as being a President of the United States.

PKM added a subscriber: PKM.Sep 13 2017, 9:31 PM

Here's a file with muliple "formerly attributed to" values. https://commons.wikimedia.org/wiki/File:Attributed_to_Gregorius_de_Coninck_001.jpg

SandraF_WMF lowered the priority of this task from Normal to Low.Nov 7 2017, 7:51 AM

How to deal with sourcing data about files (and not just the files themselves)? Via references, like on Wikidata? Example file here (from @Nikkimaria) https://commons.wikimedia.org/wiki/File:Ninoxboobook.png

Elitre added a subscriber: Elitre.Dec 6 2017, 12:11 PM

A reminder that this is still on November's board, so it could either be pushed further or closed based on what's left to do. Thank you!

SandraF_WMF raised the priority of this task from Low to High.Dec 7 2017, 10:26 AM
SandraF_WMF lowered the priority of this task from High to Low.Dec 21 2017, 1:53 PM

The page is running now, and the feedback process can run continuously here (anyone can keep adding examples), so I'm lowering priority again.

SandraF_WMF reassigned this task from SandraF_WMF to Keegan.Feb 1 2018, 2:38 PM

Transferring this task to @Keegan, per T186197: Transition Community Liaison tasks to Keegan. I will also keep an eye on this.

Keegan raised the priority of this task from Low to Normal.Apr 4 2018, 4:49 PM
Keegan closed this task as Resolved.Apr 4 2018, 4:52 PM

The page is running now, and the feedback process can run continuously here (anyone can keep adding examples), so I'm lowering priority again.

I don't think this needs an open task any more, as the goal - to make a collection - is complete. The collection itself is never complete, but a continuous thing.